## Expected swig interface differences in go-idx-engine compared to vank

### DocIdVector.i - only go variant should include Odms.hpp, on two lines

```bash
diff --git a/DocIdVector.i b/home/tavit/Work/vank/swig/src/interface/DocIdVector.i
index 7c16ed1..30b403c 100755
--- a/DocIdVector.i
+++ b/home/tavit/Work/vank/swig/src/interface/DocIdVector.i
@@ -6,10 +6,14 @@
 #ifdef SWIGGO

 %{
+/*
 #include <infospace/Odms.hpp>
+*/
 %}

+/*
 #include <infospace/Odms.hpp>
+*/

 %template(DocIdVector) std::vector< lemur::api::DOCID_T >;
```

 ### DomainPtrVector.i - only go variant should include Odms.hpp, on two lines

 ```bash
 diff --git a/DomainPtrVector.i b/home/tavit/Work/vank/swig/src/interface/DomainPtrVector.i
 index e0104ba..558ab67 100755
 --- a/DomainPtrVector.i
 +++ b/home/tavit/Work/vank/swig/src/interface/DomainPtrVector.i
 @@ -6,10 +6,14 @@
  #ifdef SWIGGO

  %{
 +/*
  #include <infospace/Odms.hpp>
 +*/
  %}

 +/*
  #include <infospace/Odms.hpp>
 +*/

  %template(DomainPtrVector) std::vector< ride::api::Domain* >;
```

### Odms.i - is used only in go variant, no Odms interfaces in vank

```bash
diff Odms.i /home/tavit/Work/vank/swig/src/interface/Odms.i
diff: /home/tavit/Work/vank/swig/src/interface/Odms.i: No such file or directory
```

### Odms_post.i - is used only in go variant, no Odms interfaces in vank

```bash
diff Odms_post.i /home/tavit/Work/vank/swig/src/interface/Odms_post.i
diff: /home/tavit/Work/vank/swig/src/interface/Odms_post.i: No such file or directory
```

### protect_post.i - is used only in go variant, no buildindex, Odms interfaces in vank

```bash
  diff --git a/protect_post.i b/home/tavit/Work/vank/swig/src/interface/protect_post.i
  index 91d2378..1adb18b 100755
  --- a/protect_post.i
  +++ b/home/tavit/Work/vank/swig/src/interface/protect_post.i
  @@ -54,11 +54,12 @@ func catch(err *error) {

   %include "Parameters_post.i"
   %include "IndexEnvironment_post.i"
  -%include "VankBuildIndex_post.i"
  +/* %include "VankBuildIndex_post.i" */
   %include "MetadataPair_post.i"
   %include "MetadataPairVector_post.i"
  -%include "Odms_post.i"
  +/* %include "Odms_post.i"
   %include "DocIdVector_post.i"
   %include "StringPairVector_post.i"
  +*/

   #endif
```

### protect_pre.i - is used only in go variant, some type support only in go

```bash
diff --git a/protect_pre.i b/home/tavit/Work/vank/swig/src/interface/protect_pre.i
index fc05938..da02c4e 100755
--- a/protect_pre.i
+++ b/home/tavit/Work/vank/swig/src/interface/protect_pre.i
@@ -108,8 +108,10 @@ extern const std::string vankVersion;
 // this is here so we don't pollute vank.i - buildindex is application code
 // and not strictly part of the library.
 //
+/*
 %include "VankBuildIndex.i"
 %include "SnippetBuilder.i"
+*/

 //
 // end of header section
@@ -165,7 +167,7 @@ extern const std::string vankVersion;
 // see MetadataPairVector_post.i
 //%rename(Wrapped_MetadataPairVector) MetadataPairVector;

-
+/*
 %rename(Wrapped_InfoSpace) ride::api::InfoSpace;
 %rename(Wrapped_InfoSpace_IsAttached) ride::api::InfoSpace::IsAttached;
 %rename(Wrapped_InfoSpace_IsDetached) ride::api::InfoSpace::IsDetached;
@@ -236,14 +238,16 @@ extern const std::string vankVersion;
 %rename(Wrapped_Domain_RenderToString) ride::api::Domain::RenderToString;
 %rename(Wrapped_Domain_Save) ride::api::Domain::Save;
 %rename(Wrapped_Domain_SaveToFile) ride::api::Domain::SaveToFile;
+*/

 %rename(Wrapped_StringPair) std::pair< std::string, std::string >;

 // %rename must precede declaration
-%include "Odms.i"
+/* %include "Odms.i"
 %include "DocIdVector.i"
 %include "StringPair.i"
 %include "StringPairVector.i"
 %include "DomainPtrVector.i"
+*/

 #endif
```
